#!/bin/sh -xe

case $1 in
  start)      state='1';  status='started'    ;;
  stop)       state='0';  status='stopped'    ;;
  incomplete) state='-3'; status='incomplete' ;;
  fail|*)     state='-1'; status='failed'     ;;
esac

[ ! -z $PROM_GW_URL ] && cat <<EOF | curl --data-binary @- $PROM_GW_URL 
# TYPE restic_hook_state gauge
# HELP restic_hook_state 1=started 0=stopped -1=failed -3=incomplete
restic_hook_state $state
# TYPE restic_hook_state_timestamp gauge
restic_hook_state_timestamp{label="$status"} `date +%s`
EOF
